#ifndef Transform_H_
#define Transform_H_
#include "ucps2.h"


void Transform(int ConfigAddr, int InAddr, int OutAddr, int N, double* thita, int direct);
void get_thita(int* current_state, double* thita);
MPU_ENTRY void Transform2Asm(v16u32 src);
MPU_ENTRY void Transform4Asm(v16u32 src);
MPU_ENTRY void Transform8Asm(v16u32 src);

#endif /* Transform_H_ */
